package com.sinosig.core.module.dao.po;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;

/**
 * 关系型数据实体表[Table] 对象
 */
public interface ICIDTable {

    //商业险失效时间
    Timestamp getSyxde();
    void setSyxde(Timestamp syxde);
    //A/B类
    String getAbl();
    void setAbl(String abl);
    //发动机号
    String getFdjh();
    void setFdjh(String fdjh);
    //CIDData
    String getCiddata();
    void setCiddata(String ciddata);
    //号牌底色
    String getHpds();
    void setHpds(String hpds);
    //车船税-交强险
    BigDecimal getCcs_jqx();
    void setCcs_jqx(BigDecimal ccs_jqx);
    //商业险
    Integer getSyx();
    void setSyx(Integer syx);
    //核定载质量
    Double getHdzzl();
    void setHdzzl(Double hdzzl);
    //更新时间
    Timestamp getUpdatedate();
    void setUpdatedate(Timestamp updatedate);
    //功率
    Double getGl();
    void setGl(Double gl);
    //车险单名称
    String getCidname();
    void setCidname(String cidname);
    //渠道类型
    String getQdlx();
    void setQdlx(String qdlx);
    //商业险生效时间
    Timestamp getSyxdb();
    void setSyxdb(Timestamp syxdb);
    //建立时间
    Timestamp getCreatedate();
    void setCreatedate(Timestamp createdate);
    //打印厂牌型号
    String getDycpxh();
    void setDycpxh(String dycpxh);
    //车辆大类
    String getCldl();
    void setCldl(String cldl);
    //交强险
    Integer getJqx();
    void setJqx(Integer jqx);
    //交强险短期费率
    BigDecimal getJqxdqfl();
    void setJqxdqfl(BigDecimal jqxdqfl);
    //含税保费-商业险
    BigDecimal getHsbf_syx();
    void setHsbf_syx(BigDecimal hsbf_syx);
    //商业险短期方式
    String getSyxdqfs();
    void setSyxdqfs(String syxdqfs);
    //核定载客
    Integer getHdzk();
    void setHdzk(Integer hdzk);
    //使用性质
    String getSyxz();
    void setSyxz(String syxz);
    //建立人
    String getCreateman();
    void setCreateman(String createman);
    //车辆类型描述
    String getCllxms();
    void setCllxms(String cllxms);
    //新车购置价
    BigDecimal getXcgzj();
    void setXcgzj(BigDecimal xcgzj);
    //不含税保费-商业险
    BigDecimal getBhsbf_syx();
    void setBhsbf_syx(BigDecimal bhsbf_syx);
    //交强险生效时间
    Timestamp getJqxdb();
    void setJqxdb(Timestamp jqxdb);
    //车辆实际价值
    BigDecimal getClsjjz();
    void setClsjjz(BigDecimal clsjjz);
    //税额-商业险
    BigDecimal getSe_syx();
    void setSe_syx(BigDecimal se_syx);
    //合计
    BigDecimal getHj();
    void setHj(BigDecimal hj);
    //业务来源
    String getYwly();
    void setYwly(String ywly);
    //号牌种类
    String getHpzl();
    void setHpzl(String hpzl);
    //交强险短期方式
    String getJqxdqfs();
    void setJqxdqfs(String jqxdqfs);
    //车辆种类
    String getClzl();
    void setClzl(String clzl);
    //商业险短期费率
    BigDecimal getSyxdqfl();
    void setSyxdqfl(BigDecimal syxdqfl);
    //车架号
    String getCjh();
    void setCjh(String cjh);
    //车牌号码
    String getCphm();
    void setCphm(String cphm);
    //排量
    Double getPl();
    void setPl(Double pl);
    //含税保费-交强险
    BigDecimal getHsbf_jqx();
    void setHsbf_jqx(BigDecimal hsbf_jqx);
    //交强险失效时间
    Timestamp getJqxde();
    void setJqxde(Timestamp jqxde);
    //车险单标识
    String getCidid();
    void setCidid(String cidid);
    //不含税保费-交强险
    BigDecimal getBhsbf_jqx();
    void setBhsbf_jqx(BigDecimal bhsbf_jqx);
    //更新人
    String getUpdateman();
    void setUpdateman(String updateman);
    //初登日期
    Timestamp getCdrq();
    void setCdrq(Timestamp cdrq);
    //整备质量
    Double getZbzl();
    void setZbzl(Double zbzl);
    //税额-交强险
    BigDecimal getSe_jqx();
    void setSe_jqx(BigDecimal se_jqx);
    //厂牌型号
    String getCpxhname();
    void setCpxhname(String cpxhname);
    //归属业务员
    String getOrgusername();
    void setOrgusername(String orgusername);
    //归属机构
    String getOrgname();
    void setOrgname(String orgname);
    //人员标识
    String getOrguserid();
    void setOrguserid(String orguserid);
    //厂牌型号标识
    String getCpxhid();
    void setCpxhid(String cpxhid);
    //机构标识
    String getOrgid();
    void setOrgid(String orgid);
}
